Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.pages
Class ExceptionReport

    java.lang.Object
      org.apache.tapestry5.corelib.pages.ExceptionReport

All Implemented Interfaces:
  ExceptionReporter

    @ContentType(value="text/html")
    public class ExceptionReport

extends java.lang.Object
implements ExceptionReporter

Responsible for reporting runtime exceptions. This page is quite verbose and is usually overridden in a production application. When `SymbolConstants.PRODUCTION_MODE` is "true", it is very abbreviated.

See Also:
  `ExceptionDisplay`

Constructor Summary
`ExceptionReport()`

Method Summary
`java.lang.Object` | `getAttributeValue()`
`java.lang.String[]` | `getComplexPropertyValue()`
`boolean` | `getHasSession()`
`java.lang.String` | `getPropertyValue()`
`Session` | `getSession()`
`java.util.List<java.lang.String>` | `getSystemProperties()` Returns a sorted list of system property names.
`boolean` | `isComplexProperty()`
`void` | `reportException(java.lang.Throwable exception)` Used to communicate to the page what exception is to be reported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionReport

    public ExceptionReport()

Method Detail

### reportException

    public void reportException(java.lang.Throwable exception)

  Description copied from interface: `ExceptionReporter`
  Used to communicate to the page what exception is to be reported.

  Specified by:
    `reportException` in interface `ExceptionReporter`
  Parameters:
    `exception` - runtime exception thrown during processing of the request

### getHasSession

    public boolean getHasSession()

### getSession

    public Session getSession()

### getAttributeValue

    public java.lang.Object getAttributeValue()

### getSystemProperties

    public java.util.List<java.lang.String> getSystemProperties()

  Returns a sorted list of system property names.

### getPropertyValue

    public java.lang.String getPropertyValue()

### isComplexProperty

    public boolean isComplexProperty()

### getComplexPropertyValue

    public java.lang.String[] getComplexPropertyValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.